Debian Bug report logs - #658950
dspam-webfrontend: Uses perl4 corelibs without Depends

version graph

Package: dspam-webfrontend; Maintainer for dspam-webfrontend is Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>; Source for dspam-webfrontend is src:dspam.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 21:39:01 UTC

Severity: normal

Found in version 1:3.5-30-3

Fixed in version dspam/3.10.1+dfsg-4

Done: Julien Valroff <julien@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>:
Bug#658950; Package dspam-webfrontend. (Mon, 06 Feb 2012 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>. (Mon, 06 Feb 2012 21:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: dspam-webfrontend: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 21:34:57 +0000
Package: dspam-webfrontend
Version: 1:3.5-30-3
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

var/www/dspam/admin.cgi:23 ctime.pl
var/www/dspam/dspam.cgi:25 ctime.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Julien Valroff <julien@debian.org>:
You have taken responsibility. (Fri, 10 Feb 2012 21:21:20 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 10 Feb 2012 21:21:20 GMT) Full text and rfc822 format available.

Message #10 received at 658950-close@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@debian.org>
To: 658950-close@bugs.debian.org
Subject: Bug#658950: fixed in dspam 3.10.1+dfsg-4
Date: Fri, 10 Feb 2012 21:18:07 +0000
Source: dspam
Source-Version: 3.10.1+dfsg-4

We believe that the bug you reported is fixed in the latest version of
dspam, which is due to be installed in the Debian FTP archive:

dspam-dbg_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/dspam-dbg_3.10.1+dfsg-4_amd64.deb
dspam-doc_3.10.1+dfsg-4_all.deb
  to main/d/dspam/dspam-doc_3.10.1+dfsg-4_all.deb
dspam-webfrontend_3.10.1+dfsg-4_all.deb
  to main/d/dspam/dspam-webfrontend_3.10.1+dfsg-4_all.deb
dspam_3.10.1+dfsg-4.debian.tar.gz
  to main/d/dspam/dspam_3.10.1+dfsg-4.debian.tar.gz
dspam_3.10.1+dfsg-4.dsc
  to main/d/dspam/dspam_3.10.1+dfsg-4.dsc
dspam_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/dspam_3.10.1+dfsg-4_amd64.deb
libdspam7-dbg_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/libdspam7-dbg_3.10.1+dfsg-4_amd64.deb
libdspam7-dev_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/libdspam7-dev_3.10.1+dfsg-4_amd64.deb
libdspam7-drv-hash_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/libdspam7-drv-hash_3.10.1+dfsg-4_amd64.deb
libdspam7-drv-mysql_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/libdspam7-drv-mysql_3.10.1+dfsg-4_amd64.deb
libdspam7-drv-pgsql_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/libdspam7-drv-pgsql_3.10.1+dfsg-4_amd64.deb
libdspam7-drv-sqlite3_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/libdspam7-drv-sqlite3_3.10.1+dfsg-4_amd64.deb
libdspam7_3.10.1+dfsg-4_amd64.deb
  to main/d/dspam/libdspam7_3.10.1+dfsg-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658950@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Valroff <julien@debian.org> (supplier of updated dspam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 10 Feb 2012 21:55:13 +0100
Source: dspam
Binary: dspam dspam-webfrontend libdspam7 libdspam7-dev libdspam7-drv-hash libdspam7-drv-pgsql libdspam7-drv-mysql libdspam7-drv-sqlite3 dspam-doc dspam-dbg libdspam7-dbg
Architecture: source amd64 all
Version: 3.10.1+dfsg-4
Distribution: unstable
Urgency: low
Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
Changed-By: Julien Valroff <julien@debian.org>
Description: 
 dspam      - Scalable, fast and statistical anti-spam filter
 dspam-dbg  - debugging symbols for dspam
 dspam-doc  - Documentation for DSPAM anti-spam filter
 dspam-webfrontend - Webfrontend for DSPAM anti-spam filter
 libdspam7  - Core message processing and classification functionality for DSPA
 libdspam7-dbg - debugging symbols for DSPAM related libraries
 libdspam7-dev - Development headers for libdspam
 libdspam7-drv-hash - Hash backend for DSPAM anti-spam filter
 libdspam7-drv-mysql - MySQL backend for DSPAM anti-spam filter
 libdspam7-drv-pgsql - PostgreSQL backend for DSPAM anti-spam filter
 libdspam7-drv-sqlite3 - sqlite3 backend for DSPAM anti-spam filter
Closes: 658950
Changes: 
 dspam (3.10.1+dfsg-4) unstable; urgency=low
 .
   * Apply patch from upstream to use POSIX::ctime() instead of deprecated
     ctime.pl (Closes: #658950)
Checksums-Sha1: 
 1e6d802cf997cfebf3d9e1b59fc37e4dcc14b3c4 2540 dspam_3.10.1+dfsg-4.dsc
 2f969311d4ae78bb7fcb01faa1fcb602c763fa74 63785 dspam_3.10.1+dfsg-4.debian.tar.gz
 438f2ebd8d0d2e7b1f2ecf0726c048f1f2fb90a3 428560 dspam_3.10.1+dfsg-4_amd64.deb
 02e75102198162d92bff57eee9d93e7fd88cdb67 201078 dspam-webfrontend_3.10.1+dfsg-4_all.deb
 b247e141724fc05c76226dcff05938d542717b9e 148844 libdspam7_3.10.1+dfsg-4_amd64.deb
 6adc44335fa3151309a4f6139902c508e112d7e8 276340 libdspam7-dev_3.10.1+dfsg-4_amd64.deb
 518b93ff93ff8ddad9c2485ea9ae4a47304c45e1 109092 libdspam7-drv-hash_3.10.1+dfsg-4_amd64.deb
 c4a317dd11e308721319dc1b51526065294a0598 124752 libdspam7-drv-pgsql_3.10.1+dfsg-4_amd64.deb
 de8d789089a8abe294fc9b17a594a91206101820 125654 libdspam7-drv-mysql_3.10.1+dfsg-4_amd64.deb
 87d2fb24452b13526bff8359fc7436b0b0d6b841 111120 libdspam7-drv-sqlite3_3.10.1+dfsg-4_amd64.deb
 191ef2ff2f4813c0481a3cbf65002b814268d285 126762 dspam-doc_3.10.1+dfsg-4_all.deb
 8948d3cd671eeef1e732d8b30574b90ea5d36180 476570 dspam-dbg_3.10.1+dfsg-4_amd64.deb
 bf08033800a20784ab6d968a570631a83040dd56 261498 libdspam7-dbg_3.10.1+dfsg-4_amd64.deb
Checksums-Sha256: 
 78b2f8394667fd09023b0f32b682259a849833b15eae12f86e96421aff9912a6 2540 dspam_3.10.1+dfsg-4.dsc
 3392340abd309ec449bba5e6eee8805c2ab81c697a8aeff8e66ccfb486e27103 63785 dspam_3.10.1+dfsg-4.debian.tar.gz
 4ad4151eda476df443b1c9a3d069dcec21e77ed950af97afa3d575b123d02be7 428560 dspam_3.10.1+dfsg-4_amd64.deb
 37d09ca9e2d89d7d0930a42c3b8b041d1ef3cb041592ff58759688bc1b41f992 201078 dspam-webfrontend_3.10.1+dfsg-4_all.deb
 8cb477769f5c90fc0f4fdd02b0f202ea2e7a9ab39ecf8696a889d93b0c65d595 148844 libdspam7_3.10.1+dfsg-4_amd64.deb
 58dad7736731049a52633d26e7623300a0565fb0ad4a9cb815435b4365e9bf8b 276340 libdspam7-dev_3.10.1+dfsg-4_amd64.deb
 5e09fe2571980391462c79a8e427a03699e3014af1eadb9bac39103a0adb177e 109092 libdspam7-drv-hash_3.10.1+dfsg-4_amd64.deb
 7455981e45f436e6799639514a9f1aad2df360cb28efa4ca11f0d4453039b7eb 124752 libdspam7-drv-pgsql_3.10.1+dfsg-4_amd64.deb
 cb75efa4e014b5ef1314177e0a8e7fffce6918eea5eecf7c35478898359503aa 125654 libdspam7-drv-mysql_3.10.1+dfsg-4_amd64.deb
 2c4e576e635f193091fc716c0dd7867bcd4f09cd6837dcf91e90ad575974f3ff 111120 libdspam7-drv-sqlite3_3.10.1+dfsg-4_amd64.deb
 a00b7f303c0a8d4f75c19ff695bc778c097dea7eaef4fb8142a30555a90b23d2 126762 dspam-doc_3.10.1+dfsg-4_all.deb
 a5e3ecc7d7a9996fba5eba534670706b252a24e01a833bda81f14ab01cdfac3e 476570 dspam-dbg_3.10.1+dfsg-4_amd64.deb
 b10eaaf77f6e47caf737b51306b2beaf6bdf60aad3d99826facb5b1242621d88 261498 libdspam7-dbg_3.10.1+dfsg-4_amd64.deb
Files: 
 33ad5953da7506c82cd9364f15eb62b2 2540 mail optional dspam_3.10.1+dfsg-4.dsc
 b2ed995dfb6ff2a018ca12fd6037f86e 63785 mail optional dspam_3.10.1+dfsg-4.debian.tar.gz
 239b03c27d77afe662b09a7631564125 428560 mail optional dspam_3.10.1+dfsg-4_amd64.deb
 5a54343b99cb614a4377dc29260d607f 201078 mail extra dspam-webfrontend_3.10.1+dfsg-4_all.deb
 3d0460a2d30d9c58d4f52ab701576cbc 148844 libs optional libdspam7_3.10.1+dfsg-4_amd64.deb
 0c7f7a23d3325c8296359fffac1bd518 276340 libdevel optional libdspam7-dev_3.10.1+dfsg-4_amd64.deb
 091990120dde324596bc604f04d6a2cb 109092 mail optional libdspam7-drv-hash_3.10.1+dfsg-4_amd64.deb
 1654a0c57a283cec56752e85885051d9 124752 mail optional libdspam7-drv-pgsql_3.10.1+dfsg-4_amd64.deb
 591b420e8e955b2faefd515207594c83 125654 mail optional libdspam7-drv-mysql_3.10.1+dfsg-4_amd64.deb
 a6d5e1c162bf14676c20ce3fc5e5fdd8 111120 mail optional libdspam7-drv-sqlite3_3.10.1+dfsg-4_amd64.deb
 1cc92e6e49f855560cd0c51edcd16410 126762 doc optional dspam-doc_3.10.1+dfsg-4_all.deb
 4e724526dd8639f33e5d47a4ac245779 476570 debug extra dspam-dbg_3.10.1+dfsg-4_amd64.deb
 6497f960459b9c77a224f4e23cc81797 261498 debug extra libdspam7-dbg_3.10.1+dfsg-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPNYfSAAoJEFHhprzRxas77rEQAJOZ+Hia3oXB3I48b218nluX
BbPklsXySqTAWdcvJqfcl5WVsFJ7TDAKKXCiOeAoXJb5EeEKdUW2/+rLoYanwqcH
UjhdpsOo2ru3RPMyF/Ky31rFxGPLVwYRFA4s4YBaMy+3iGIyBqoBBJ+vpACMxzb4
hs9toaHb3mzjdptNf98/w7SDrrepkuXA1OCen0DoC/gVVQLi6bdeowUJJOBYd574
Nk7xVyU5fSmCNXB1X4puPDvZjv+/HuOHV9T142cyDZFfBJOdP05JKJq5ceEueyuI
lt3Mlr0HdyitcJH25oECRuRnn+bqln9LKMPpAW9y1BaBKWRXsOZqWfbf249l4A/B
osZ4ZWG5vpK4zLMEZNt+5I2O3Tv0G3y+1T7O8m8dv+SK+0ZMfMBLBXiQ2CdnUivD
UakWxMD3yP79kfC4RCFwjLZ8DBie4IhXdJKEudw9gPI/q6HtmVFAycrjbejgm7mx
NXpjc8b5lqpBIEAnGi3Ld7I6TcJOuYUt+QNYJt4ob5X8Fy1Ase1Z0IJdLuWOM2Z6
l4RKYyDXI/0HVTMMIEEn0dL51OJZVR8U4YJoCEqUjwsQ1hj/fU1LJYr6c/mMAlNA
yuTr6fhM29RUMgE7VLe6ZVZd66Fz5DKf+3HH00nN74siec+Y+inW7knGD20URiUM
sUeOKqa+k/PnWcgvAvpJ
=JAvD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Mar 2012 07:38:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:27:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.